# Offer a class for having logrotate installed but disabled.

class base::logrotate::disabled { 
    case $operatingsystem {
        'debian', 'ubuntu': { include base::logrotate::disabled::debian }
    }
}

class base::logrotate::disabled::debian inherits base::newsyslog {
    Package["logrotate"] { ensure => present }
    file { "/etc/logrotate.d/rsyslog": ensure => absent }
}