# Create the sshd configuration.

define base::ssh::config::sshd(
  $ensure    = 'present',
  $gitolite  = false,
  $hostbased = false,
  $pubkey    = false,
  $source    = undef,
  $max_tries = 5,
) {
  if $source {
    $template = undef
  } else {
    $template = template('base/ssh/sshd_config.erb')
  }
  file { $name:
    ensure  => $ensure,
    source  => $source,
    content => $template,
    notify  => Service['ssh'],
  }
}